[Scipy-tickets] [SciPy] #1809: version 0.11 fails to import linalg

SciPy Trac scipy-tickets@scipy....
Fri Jan 11 06:02:01 CST 2013


#1809: version 0.11 fails to import linalg
----------------------+-----------------------------------------------------
 Reporter:  fccoelho  |       Owner:  somebody   
     Type:  defect    |      Status:  new        
 Priority:  normal    |   Milestone:  Unscheduled
Component:  Other     |     Version:  0.11.0     
 Keywords:            |  
----------------------+-----------------------------------------------------
 I am trying scipy 0.11 on an ubuntu 12.10 machine
 and I get the following error when trying to import linalg:

 File "/usr/local/lib/python2.7/dist-packages/scipy/stats/__init__.py",
 line 321, in <module>
     from stats import *
   File "/usr/local/lib/python2.7/dist-packages/scipy/stats/stats.py", line
 194, in <module>
     import scipy.linalg as linalg
   File "/usr/local/lib/python2.7/dist-packages/scipy/linalg/__init__.py",
 line 132, in <module>
     from misc import *
   File "/usr/local/lib/python2.7/dist-packages/scipy/linalg/misc.py", line
 3, in <module>
     import fblas
 ImportError: libatlas.so.3: cannot open shared object file: No such file
 or directory

 libatlas.so.3 is available and is loaded without problems by scipy 0.10.1

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1809>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list